set WshShell = WScript.CreateObject("WScript.Shell")

programsPath = wshShell.SpecialFolders("Programs")
TizenSDKPath = programsPath & "\Tizen SDK"

set objFSO = CreateObject("Scripting.FileSystemObject")
if not objFSO.FolderExists(TizenSDKPath) Then
	objFSO.CreateFolder(TizenSDKPath)
End If

linkFilePath = TizenSDKPath & "\" & Wscript.Arguments.Named("shortcut") & ".lnk"

set filesys = CreateObject("Scripting.FileSystemObject")
filename = Wscript.Arguments.Named("target")
partner = Wscript.Arguments.Named("partnerSdk")
set oShellLink = WshShell.CreateShortcut(linkFilePath)
oShellLink.TargetPath = filename
oShellLink.IconLocation = Wscript.Arguments.Named("icon")
oShellLink.WorkingDirectory = filesys.GetParentFolderName(filename)
oShellLink.WindowStyle = 1
oShellLink.Save
