#!/bin/sh -x

echo Remove old sdk

if [ "x$INSTALLED_PATH" != "x" ]
then
	if [ -e $INSTALLED_PATH ]
	then
		rm -rf $INSTALLED_PATH
	else
		echo installed path does not exists: $INSTALLED_PATH
	fi
	
else
	echo installed path not provided
fi

# remove old Tizen SDK
rm -rf $HOME/.slpsdk
rm -rf $HOME/.local/share/applications/samsung-sdk-*
rm -rf $HOME/.local/share/applications/wac-ide.desktop
rm -rf $HOME/.local/share/desktop-directories/samsung-sdk_menu.directory
rm -rf $HOME/.config/menus/applications-merged/user-samsung-sdk_menu.menu

# remove tizen sdk
rm -rf $HOME/.tizensdk
rm -rf $HOME/.local/share/applications/tizen-sdk-*
rm -rf $HOME/.local/share/desktop-directories/tizen-sdk-menu.directory
rm -rf $HOME/.config/menus/applications-merged/user-tizen-sdk-menu.menu

exit 0



